Update current organization
Update the current user's organization
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Request body
{
"name": "string",
"colorPaletteUuid": "string",
"createdAt": "2024-01-01T00:00:00.000Z",
"chartColors": [
"string"
],
"chartDarkColors": [
"string"
],
"defaultProjectUuid": "string",
"pgWire": {
"port": 0,
"host": "string",
"tlsRequired": true,
"enabled": true
}
}Responses
200 — Ok
{
"results": "string",
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}Create organization
Creates a new organization, the current user becomes the Admin of the new organization. This is only available to users that are not already in an organization.
Get organization brand
Get the organization's brand profile, previously fetched from Brandfetch. Returns null if no brand profile has been fetched yet.